classification
Title: "make check" suggest a testing target under GNU coding standards
Type: behavior Stage: resolved
Components: Build Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: benjamin.peterson, brett.cannon, ralph.corderoy
Priority: low Keywords: patch

Created on 2008-09-02 13:34 by ralph.corderoy, last changed 2010-07-11 13:55 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
rename_check.diff brett.cannon, 2008-09-05 18:36
Messages (11)
msg72337 - (view) Author: Ralph Corderoy (ralph.corderoy) Date: 2008-09-02 13:34
A new target, "check", has been added to Makefile for 2.6.  It runs some
tests on the source code that are intended to check there's nothing
wrong before preparing a patch. 
http://svn.python.org/view/python/trunk/Makefile.pre.in?rev=61528&view=markup

Unfortunately, GNU coding standards have cemented in many people's minds
that "check" is the target for self-tests, e.g. "make clean all check
install".  http://www.gnu.org/prep/standards/standards.html#Standard-Targets

I realise Python doesn't fall under those coding standards, but none the
less it is confusing to people to re-use a standard target name for a
different use.  In the past, Python had no "check" target so people
spotted their mistake, investigated, and found the "test" target.

Please consider renaming this new "check" target, e.g. to "prepatch", to
avoid this confusion when 2.6 is released.  Perhaps a "check" target can
be added as a synonym for "test" at the same time?
msg72339 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-02 14:17
Brett, how about "patchcheck"?
msg72359 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-09-02 18:26
On Tue, Sep 2, 2008 at 7:17 AM, Benjamin Peterson
<report@bugs.python.org> wrote:
>
> Benjamin Peterson <musiccomposition@gmail.com> added the comment:
>
> Brett, how about "patchcheck"?
>

Maybe. I will see if any inspiration comes to me in the near future.
Obviously there is no rush to get this into any specific RC.
msg72414 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-09-03 19:53
Or how about ``make precommit``?
msg72418 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-03 21:22
That suggests that it only need to run by committers. I find it useful,
just for the reindenting whenever I'm writing a patch.
msg72528 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-09-04 21:54
OK, I am going to go with ``make patchcheck`` since that is the script's
name and the command does nothing but execute the script.

I will wait until after rc1 to deal with this.
msg72617 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-09-05 18:36
The attached patch renames the target to patchcheck.
msg72625 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-05 20:45
Patch looks fine to me.
msg72645 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-09-05 23:01
On the trunk with r66237 and 3.0 with r66238.
msg74247 - (view) Author: Ralph Corderoy (ralph.corderoy) Date: 2008-10-03 12:45
The patchcheck target isn't in .PHONY at the end of the file.
msg74403 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-10-06 22:48
2.7 through r66819, 2.6 through r66820, and 3.0 through r66821.
History
Date User Action Args
2010-07-11 13:55:12eric.araujosetresolution: accepted -> fixed
stage: resolved
2008-10-06 22:48:33brett.cannonsetstatus: open -> closed
messages: + msg74403
2008-10-03 18:11:59brett.cannonsetstatus: closed -> open
2008-10-03 12:45:03ralph.corderoysetmessages: + msg74247
2008-09-05 23:01:48brett.cannonsetstatus: open -> closed
resolution: accepted
messages: + msg72645
2008-09-05 20:45:47benjamin.petersonsetkeywords: - needs review
messages: + msg72625
2008-09-05 18:36:55brett.cannonsetkeywords: + patch, needs review
files: + rename_check.diff
messages: + msg72617
2008-09-04 21:54:50brett.cannonsetmessages: + msg72528
2008-09-03 21:22:44benjamin.petersonsetmessages: + msg72418
2008-09-03 19:53:25brett.cannonsetpriority: low
messages: + msg72414
2008-09-02 18:26:57brett.cannonsetmessages: + msg72359
2008-09-02 14:17:22benjamin.petersonsetassignee: brett.cannon
messages: + msg72339
nosy: + brett.cannon, benjamin.peterson
2008-09-02 13:34:08ralph.corderoycreate